Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358856

Summary: NewPkg: Add rubygem systemd-journal
Product: OpenShift Container Platform Reporter: Rich Megginson <rmeggins>
Component: LoggingAssignee: Troy Dawson <tdawson>
Status: CLOSED NEXTRELEASE QA Contact: chunchen <chunchen>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.3.0CC: aos-bugs, lmeyer, rmeggins, tdawson, wsun
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-17 18:38:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1358852    

Description Rich Megginson 2016-07-21 15:33:04 UTC
Description of problem:
In order for fluentd to read from the journal it needs fluent-plugin-systemd, systemd-journal, and fluent-plugin-rewrite-tag-filter

https://rubygems.org/downloads/systemd-journal-1.2.2.gem

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rich Megginson 2016-07-21 17:29:31 UTC
Built and tagged: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11399577

Comment 2 chunchen 2016-07-22 07:56:35 UTC
Will check it with the latest OSE 3.3 puddle.

Comment 3 chunchen 2016-07-25 05:27:11 UTC
It's fixed, checked with below images:

    Image: brew-pulp-docker01...com:8888/openshift3/logging-fluentd:3.3.0
    Image ID: 196d7c8564cb1b

The test results:
[chunchen@F17-CCY daily]$ oc rsh logging-fluentd-e7alt
sh-4.2# gem list |grep fluent-plugin-rewrite-tag-filter
fluent-plugin-rewrite-tag-filter (1.5.5)

Comment 4 chunchen 2016-07-25 05:30:51 UTC
(In reply to chunchen from comment #3)
> It's fixed, checked with below images:
> 
>     Image: brew-pulp-docker01...com:8888/openshift3/logging-fluentd:3.3.0
>     Image ID: 196d7c8564cb1b
>

Sorry for typo, correct the result:

> The test results:
> [chunchen@F17-CCY daily]$ oc rsh logging-fluentd-e7alt
> sh-4.2# gem list |grep fluent-plugin-rewrite-tag-filter
> fluent-plugin-rewrite-tag-filter (1.5.5)

sh-4.2# gem list |grep systemd-journal                 
systemd-journal (1.2.2)